#
# spec file for package systemd-gtk
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           systemd-gtk
Url:            http://www.freedesktop.org/wiki/Software/systemd
Version:        37
Release:        1
License:        GPL-2.0+
Group:          System/Base
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libudev-devel udev
BuildRequires:  dbus-1-devel
BuildRequires:  audit-devel
BuildRequires:  gperf
BuildRequires:  libcap-devel
BuildRequires:  libacl-devel
BuildRequires:  tcpd-devel
BuildRequires:  pam-devel
BuildRequires:  libcryptsetup-devel
BuildRequires:  pkg-config
BuildRequires:  libselinux-devel libsepol-devel
BuildRequires:  intltool
BuildRequires:  gtk2-devel libnotify-devel
Summary:        Graphical front-end for systemd
Requires:       systemd = %{version}
Source0:        http://www.freedesktop.org/software/systemd/systemd-%{version}.tar.bz2
Source1:        systemd-rpmlintrc

# Upstream First - Policy:
# Never add any patches to this package without the upstream commit id
# in the patch. Any patches added here without a very good reason to make
# an exception will be silently removed with the next version update.

%description
Graphical front-end for systemd system and service manager.

%prep
%setup -q -n systemd-%{version}

%build
autoreconf -fiv
# prevent pre-generated and distributed files from re-building
find . -name "*.[1-8]" -exec touch '{}' \;
touch src/systemadm.c
export V=1
%configure \
  --with-distro=suse \
  --docdir=%{_docdir}/systemd \
  --with-rootdir= \
  CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%makeinstall
# remove everything but systemadm and password agent
find %{buildroot} -not -type d -not -name 'systemadm*' -not -name systemd-gnome-ask-password-agent -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/systemadm
%{_bindir}/systemd-gnome-ask-password-agent
%{_mandir}/man1/systemadm.1*

%changelog
